Lenovo Y700-17ISK subwoofer doesn't work

Bug #1553685 reported by aljosa on 2016-03-06
246
This bug affects 47 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Medium
Unassigned

Bug Description

Lenovo Y700-17ISK (Intel Core i7-6700HQ/RAM 16GB/SSD 512GB/Nvidia GTX960M 4GB)
Operating system: Ubuntu 16.04 (xenial-desktop-amd64.iso 04-Mar-2016, kernel 4.4.0-10-generic, nvidia 361.28)

Problem: Notebook subwoofer doesn't work.

Judging from alsa-info.sh output, there is no pin declared for the bass output by BIOS.
Please find a zip file attached: 'alsa-info_hdajackretask-unconnected-pins'

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-10-generic 4.4.0-10.25
ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
Uname: Linux 4.4.0-10-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: aljosa 1776 F.... pulseaudio
CurrentDesktop: Unity
Date: Sun Mar 6 11:02:21 2016
HibernationDevice: RESUME=UUID=ac022671-63df-40ae-bffe-66fff3b35125
InstallationDate: Installed on 2016-03-05 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160304)
MachineType: LENOVO 80Q0
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-10-generic.efi.signed root=UUID=aa4325c4-4b4c-4372-b8ca-a66c3e5b2aa6 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-10-generic N/A
 linux-backports-modules-4.4.0-10-generic N/A
 linux-firmware 1.156
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/31/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: CDCN30WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: Allsparks 7A
dmi.board.vendor: LENOVO
dmi.board.version: NO DPK
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo ideapad Y700-17ISK
dmi.modalias: dmi:bvnLENOVO:bvrCDCN30WW:bd01/31/2016:svnLENOVO:pn80Q0:pvrLenovoideapadY700-17ISK:rvnLENOVO:rnAllsparks7A:rvrNODPK:cvnLENOVO:ct10:cvrLenovoideapadY700-17ISK:
dmi.product.name: 80Q0
dmi.product.version: Lenovo ideapad Y700-17ISK
dmi.sys.vendor: LENOVO

aljosa (aljosa-p) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Raymond (superquad-vortex2) wrote :

Node 0x0f [Audio Mixer] wcaps 0x20010a: Mono Amp-In Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1 Amp-In vals: [0x00 0x00] Connection: 1 0x0d

Node 0x17 [Pin Complex] wcaps 0x40050c: Mono Amp-Out Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1 Amp-Out vals: [0x80] Pincap 0x00000010: OUT Pin Default 0x40000000: [N/A] Line Out at Ext N/A Conn = Unknown, Color = Unknown DefAssociation = 0x0, Sequence = 0x0 Pin-ctls: 0x00: Power states: D0 D1 D2 D3 EPSS Power: setting=D3, actual=D3 Connection: 1 0x0f

affects: linux (Ubuntu) → alsa-driver (Ubuntu)
Changed in alsa-driver (Ubuntu):
status: Confirmed → Incomplete

Hi Raymond,

I'm a linux noob and I have the same issue on my y700. Subwoofer doesn't work. I see that you've posted some info about pins 0x0f and 0x17, but I don't understand what it means. Is this some setting I can try on my laptop to see if it resolves the issue?

Thomas Parys (thomas-parys) wrote :

Confirmed. Same problem on my Lenovo. Anyone please fix!

Raymond (superquad-vortex2) wrote :

Only two of the remain unconnected pins pin-cap support OUT

.0x17 and 0x1b

You can use hdajackretask set one of them as subwoofer, reboot

Jonas Frei (freijon) wrote :

Connecting 0x17 with hdajackretask doesn't seem to work either. It adds a third channel which is called "subwoofer" in the sound settings, but when testing the subwoofer there is still no sound...

Raymond (superquad-vortex2) wrote :

Node 0x0f is connected to 0x03 through 0x0d

You have to check whether those amp out and mute switfch of the path from node 3 to node 0x17 is not muted by pulseaudio (e.g. headphone plasyback volume )

Node 0x02 [Audio Output] wcaps 0x41d: Stereo Amp-Out Control: name="Speaker Playback Volume", index=0, device=0 ControlAmp: chs=3, dir=Out, idx=0, ofs=0 Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0 Amp-Out vals: [0x48 0x48] Converter: stream=1, channel=0 PCM: rates [0x60]: 44100 48000 bits [0xe]: 16 20 24 formats [0x1]: PCM Power states: D0 D1 D2 D3 EPSS Power: setting=D0, actual=D0

Node 0x03 [Audio Output] wcaps 0x41d: Stereo Amp-Out Control: name="Headphone Playback Volume", index=0, device=0 ControlAmp: chs=3, dir=Out, idx=0, ofs=0 Device: name="ALC233 Analog", type="Audio", device=0 Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0 Amp-Out vals: [0x00 0x00] Converter: stream=1, channel=0 PCM: rates [0x60]: 44100 48000 bits [0xe]: 16 20 24 formats [0x1]: PCM Power states: D0 D1 D2 D3 EPSS Power: setting=D0, actual=D0

Raymond (superquad-vortex2) wrote :

The other output capable pin is node 0x1b, do the driver connected this node to node 0x02 or 0x03?

Node 0x1b [Pin Complex] wcaps 0x40058f: Stereo Amp-In Amp-Out Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0 Amp-In vals: [0x00 0x00] Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1 Amp-Out vals: [0x80 0x80] Pincap 0x0001373c: IN OUT HP EAPD Detect Vref caps: HIZ 50 GRD 80 100 EAPD 0x2: EAPD Pin Default 0x411111f0: [N/A] Speaker at Ext Rear Conn = 1/8, Color = Black DefAssociation = 0xf, Sequence = 0x0 Misc = NO_PRESENCE Pin-ctls: 0x20: IN VREF_HIZ Unsolicited: tag=00, enabled=0 Power states: D0 D1 D2 D3 EPSS Power: setting=D3, actual=D3 Connection: 2 0x0c* 0x0d

Raymond (superquad-vortex2) wrote :

Simple mixer control 'Headphone',0 Capabilities: pvolume pswitch Playback channels: Front Left - Front Right Limits: Playback 0 - 87 Mono: Front Left: Playback 0 [0%] [-65.25dB] [off] Front Right: Playback 0 [0%] [-65.25dB] [off]

Simple mixer control 'Speaker',0 Capabilities: pvolume pswitch Playback channels: Front Left - Front Right Limits: Playback 0 - 87 Mono: Front Left: Playback 87 [100%] [0.00dB] [on] Front Right: Playback 87 [100%] [0.00dB] [on]

It is pulseaudio switch headphone playback volume to minimum and switch to off

https://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/src/modules/alsa/mixer/paths/analog-output-speaker.conf?id=22aac4e9fdb3786178f7815a0cb2150f588b1582

Raymond (superquad-vortex2) wrote :

Node 0x0f [Audio Mixer] wcaps 0x20010a: Mono Amp-In Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1 Amp-In vals: [0x00 0x00] Connection: 1 0x0d

This seem to be stereo to mono down mix widget since node 0x0d is stereo

Jonas Frei (freijon) wrote :

Thanks for your assistance. However, I'm not sure what to do with this information exactly... I'm no expert. As to your question:

"The other output capable pin is node 0x1b, do the driver connected this node to node 0x02 or 0x03?"

I checked with HDAAnalyzer, it seems like 0x1b is connected with mixer 0x0c, I can't make out any other connections.
I also made sure that pin 0x17 and the nodes you mentioned are not muted. Maybe a screenshot (attached) brings more light into this...

Raymond (superquad-vortex2) wrote :

Only one pin complex can be retasked at each test since there are only two audio output/volume control but there are three output pin complexes, this mean one of the volume control must be shared by two pin complex

The pin-ctls, power setting of the subwoofer should be same as the speaker node

OUT instead of 0x00

D0 instead of D3

The mute switch should be unmuted

The two volume controls should be set at audible level instead of zero

Raymond (superquad-vortex2) wrote :

The difference between 0x17 mono and 0x1b stereo pin complex

You need to find out whether there is low pass filter when you get sound from subwoofer and whether both channel affect the subwoofer if the subwoofer is at the stereo pin complex 0x1b

Raymond (superquad-vortex2) wrote :

You better post the outout of alsa-info.sh

Since you need to check the amp out and mute of the path from audio output, audio mixer and pin complex

Raymond (superquad-vortex2) wrote :

In theory, you will like to have

Speaker volume and Subwoofer volume

Headphone share with one of them

Jonas Frei (freijon) wrote :

See attached my alsa-info output...

Raymond (superquad-vortex2) wrote :

Converter: stream=1, channel=0

The other difference is channel, seem still using two channels when channels tag of two audio output are same

speaker-test -c4 -t wav -D hw:0,0

only need two channel if there is low pass filter with mono pin complex and driver don't support 4 channels

For stereo pin complex without low pass filter, you need four channel and pulseaudio low pass filtering to profile LFE to subwoofer using surround21

Node 0x03 [Audio Output] wcaps 0x41d: Stereo Amp-Out Control: name="Bass Speaker Playback Volume", index=0, device=0 ControlAmp: chs=3, dir=Out, idx=0, ofs=0 Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0 Amp-Out vals: [0x57 0x57] Converter: stream=1, channel=0 PCM: rates [0x60]: 44100 48000 bits [0xe]: 16 20 24 formats [0x1]: PCM Power states: D0 D1 D2 D3 EPSS Power: setting=D0, actual=D0

Paweu (huno92) wrote :

same issue here Y700-15ISK I tried the suggestions from this thread with no luck unfortunately has anyone managed to solve this? I tried many different combinations of settings in hdaanalyzer and hdajackretask but the speaker remains silent.

Raymond (superquad-vortex2) wrote :

How did you test ?

When there is hardware low pass filter and downmix widget,

Converter: stream=1, channel=0

Subwoofer channel. Is same as speaker

When there is no hardware low pass filter, channel=1
and you need pulseaudio to provide software lowpass filter and downmixing

Node 0x02 [Audio Output] wcaps 0x41d: Stereo Amp-Out Control: name="Front Playback Volume", index=0, device=0 ControlAmp: chs=3, dir=Out, idx=0, ofs=0 Device: name="ALC233 Analog", type="Audio", device=0 Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0 Amp-Out vals: [0x57 0x57] Converter: stream=1, channel=0 PCM: rates [0x60]: 44100 48000 bits [0xe]: 16 20 24 formats [0x1]: PCM Power states: D0 D1 D2 D3 EPSS Power: setting=D0, actual=D0

Node 0x03 [Audio Output] wcaps 0x41d: Stereo Amp-Out Control: name="Bass Speaker Playback Volume", index=0, device=0 ControlAmp: chs=3, dir=Out, idx=0, ofs=0 Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0 Amp-Out vals: [0x57 0x57] Converter: stream=1, channel=0 PCM: rates [0x60]: 44100 48000 bits [0xe]: 16 20 24 formats [0x1]: PCM Power states: D0 D1 D2 D3 EPSS

Raymond (superquad-vortex2) wrote :

aplay -Dhw:0 --dump-hw-params anystereo.wav

should show channel max is 4 when you need software low pass filter but only 2 wheb your laptop have hardware low pass filter

Jonas Frei (freijon) wrote :

This is the output of the command you provided:

$ aplay -D hw:0 --dump-hw-params /tmp/test_stereo_48000Hz_8bit_PCM.wav
Playing WAVE '/tmp/test_stereo_48000Hz_8bit_PCM.wav' : Unsigned 8 bit, Rate 48000 Hz, Stereo
HW Params of device "hw:0":
--------------------
ACCESS: MMAP_INTERLEAVED RW_INTERLEAVED
FORMAT: S16_LE S32_LE
SUBFORMAT: STD
SAMPLE_BITS: [16 32]
FRAME_BITS: [32 128]
CHANNELS: [2 4]
RATE: [44100 48000]
PERIOD_TIME: (166 11888617)
PERIOD_SIZE: [8 524288]
PERIOD_BYTES: [128 8388608]
PERIODS: [2 32]
BUFFER_TIME: (333 23777234)
BUFFER_SIZE: [16 1048576]
BUFFER_BYTES: [128 4194304]
TICK_TIME: ALL
--------------------
aplay: set_params:1233: Sample format non available
Available formats:
- S16_LE
- S32_LE

So I guess that means there is a max of 4 channels and we need to add a low pass filter in the pulseaudio config? unfortunately I have no idea how to do that... And for me it still doesn't explain why there is no sound coming from my subwoofer. I already have the third channel activated as described in several topics and I see the subwoofer in the settings but there is still no sound...

Raymond (superquad-vortex2) wrote :

!
The driver sort the speaker pin using sequence number, the subwoofer should has sequence number higher than the internal speaker

!----------- /sys/class/sound/hwC0D0/init_pin_configs: 0x12 0x90a60140
 0x14 0x90170110
0x17 0x40000000
 0x18 0x411111f0
 0x19 0x04a11030
 0x1a 0x411111f0
 0x1b 0x411111f0
 0x1d 0x40f79a2d
0x1e 0x411111f0
 0x21 0x04211020
 /sys/class/sound/hwC0D0/driver_pin_configs:
/sys/class/sound/hwC0D0/user_pin_configs:
0x12 0x90a60140
0x14 0x90170110
 0x17 0x90170150
 0x18 0x411111f0
 0x19 0x04a11030
 0x1a 0x411111f0
0x1b 0x411111f0
0x1d 0x40f79a2d
0x1e 0x411111f0
 0x21 0x04211020

@Raymond

I'm an average user, and have done very little poweruser stuff. After reading through all the posts, I still don't know if any fix has been identified. I'm attaching my alsa-info.sh, and can make any changes and provide results as long as clear instructions are provided.

Please let me know what you see and if you'd like more information.

Thanks

Here is the results of playing a stereo wav file.

Details from the download location:

(Piano Trill, 48k/16, Little Endian, Stereo WAV 1.2MB)
illegal formatting spacer6.3 seconds. Seven piano notes. That's it.
illegal formatting spacerIt's stereo, so left and right don't exactly match.

blacky@ubuntu-Y700:~$ aplay -D hw:0 --dump-hw-params Downloads/piano2.wav
Playing WAVE 'Downloads/piano2.wav' : Signed 16 bit Little Endian, Rate 48000 Hz, Stereo
HW Params of device "hw:0":
--------------------
ACCESS: MMAP_INTERLEAVED RW_INTERLEAVED
FORMAT: S16_LE S32_LE
SUBFORMAT: STD
SAMPLE_BITS: [16 32]
FRAME_BITS: [32 64]
CHANNELS: 2
RATE: [44100 48000]
PERIOD_TIME: (333 185760)
PERIOD_SIZE: [16 8192]
PERIOD_BYTES: [128 65536]
PERIODS: [2 32]
BUFFER_TIME: (666 371520)
BUFFER_SIZE: [32 16384]
BUFFER_BYTES: [128 65536]
TICK_TIME: ALL
--------------------

Raymond (superquad-vortex2) wrote :

The objective of using early patching or hdajackretask is fixup the missing subwoofer so that is appear as the second entry after the node 0x14

snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC233: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
snd_hda_codec_realtek hdaudioC0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
 snd_hda_codec_realtek hdaudioC0D0: hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
snd_hda_codec_realtek hdaudioC0D0: mono: mono_out=0x0
snd_hda_codec_realtek hdaudioC0D0: inputs:
snd_hda_codec_realtek hdaudioC0D0: Mic=0x19
snd_hda_codec_realtek hdaudioC0D0: Internal Mic=0x12

Jonas Frei (freijon) wrote :

@Raymond, I'm really thankful for all the time you spend to help us on this issue. However, you have to understand that we are no experts on this topic and I don't know what to do with this information. I'm happy to help by testing suggestions and gathering logfiles. Please let me know if you need anything else.

aljosa (aljosa-p) wrote :

Takashi Iwai (Linux kernel developer): "Once when you figuring out which pin corresponds to the bass output, let us know. We can add it statically in the driver fixup."

Jonas Frei (freijon) wrote :

AFAIK the pin for the subwoofer output is 0x17:

see this section of my alsa-info.txt attachment:

Node 0x17 [Pin Complex] wcaps 0x40050c: Mono Amp-Out
  Control: name="Bass Speaker Playback Switch", index=0, device=0
    ControlAmp: chs=1, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals: [0x00]
  Pincap 0x00000010: OUT
  Pin Default 0x40000000: [N/A] Line Out at Ext N/A
    Conn = Unknown, Color = Unknown
    DefAssociation = 0x0, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Power states: D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x0f

aljosa (aljosa-p) wrote :

In that case I would say that the natural flow of things would be that Ubuntu developer contact Takashi.

Raymond (superquad-vortex2) wrote :

Can the other confirm that 0x17 is the subwoofer imstead of 0x1b?

This mean you can mute can change the volume of subwoofer by using alsamixer

Do you hear high frequency from the subwoofer when playing stereo or 4 channel playback?

How did you get that info about 0x17? My alsa-info shows 0x17 as below. Should I change something with HDAnalyzer or HDAjackrestack?:

Node 0x17 [Pin Complex] wcaps 0x40050c: Mono Amp-Out
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals: [0x80]
  Pincap 0x00000010: OUT
  Pin Default 0x40000000: [N/A] Line Out at Ext N/A
    Conn = Unknown, Color = Unknown
    DefAssociation = 0x0, Sequence = 0x0
  Pin-ctls: 0x00:
  Power states: D0 D1 D2 D3 EPSS
  Power: setting=D3, actual=D3
  Connection: 1
     0x0f

Here is 0x1b:

Node 0x1b [Pin Complex] wcaps 0x40058f: Stereo Amp-In Amp-Out
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals: [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals: [0x80 0x80]
  Pincap 0x0001373c: IN OUT HP EAPD Detect
    Vref caps: HIZ 50 GRD 80 100
  EAPD 0x2: EAPD
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Power states: D0 D1 D2 D3 EPSS
  Power: setting=D3, actual=D3
  Connection: 2
     0x0c* 0x0d

Jonas Frei (freijon) wrote :

@Manikandan: Yes, I made a few adjustments with HDAjackretask as described in post #7
The original alsa-info probably looked like yours.

I just wanted to give a quick update on this. Using hdajackretask I enabled 0x1B (doesn't matter if it is Internal Speaker or Internal Speaker (LFE)). After that, I opened sound settings and changed output from Analog Stereo to Analog 2.1 Output. The subwoofer still does not work, but the volume of the two main speakers has increased quite substantially.

Raymond (superquad-vortex2) wrote :

What happen when you

speaker-test -c4 -t wav -D hw:0

Which speaker did your hear front left, front right, rear left and rear right?

No sound with rear left and rear right.

Front left and front right from the speakers near the screen.

On Mon, Apr 11, 2016 at 5:27 AM, Raymond <email address hidden> wrote:

> What happen when you
>
> speaker-test -c4 -t wav -D hw:0
>
> Which speaker did your hear front left, front right, rear left and rear
> right?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1553685
>
> Title:
> Lenovo Y700-17ISK subwoofer doesn't work
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
>
> Bug description:
> Lenovo Y700-17ISK (Intel Core i7-6700HQ/RAM 16GB/SSD 512GB/Nvidia
> GTX960M 4GB)
> Operating system: Ubuntu 16.04 (xenial-desktop-amd64.iso 04-Mar-2016,
> kernel 4.4.0-10-generic, nvidia 361.28)
>
> Problem: Notebook subwoofer doesn't work.
>
> Judging from alsa-info.sh output, there is no pin declared for the bass
> output by BIOS.
> Please find a zip file attached:
> 'alsa-info_hdajackretask-unconnected-pins'
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: linux-image-4.4.0-10-generic 4.4.0-10.25
> ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
> Uname: Linux 4.4.0-10-generic x86_64
> ApportVersion: 2.20-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: aljosa 1776 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Sun Mar 6 11:02:21 2016
> HibernationDevice: RESUME=UUID=ac022671-63df-40ae-bffe-66fff3b35125
> InstallationDate: Installed on 2016-03-05 (0 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64
> (20160304)
> MachineType: LENOVO 80Q0
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-10-generic.efi.signed
> root=UUID=aa4325c4-4b4c-4372-b8ca-a66c3e5b2aa6 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.4.0-10-generic N/A
> linux-backports-modules-4.4.0-10-generic N/A
> linux-firmware 1.156
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 01/31/2016
> dmi.bios.vendor: LENOVO
> dmi.bios.version: CDCN30WW
> dmi.board.asset.tag: NO Asset Tag
> dmi.board.name: Allsparks 7A
> dmi.board.vendor: LENOVO
> dmi.board.version: NO DPK
> dmi.chassis.asset.tag: NO Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Lenovo ideapad Y700-17ISK
> dmi.modalias:
> dmi:bvnLENOVO:bvrCDCN30WW:bd01/31/2016:svnLENOVO:pn80Q0:pvrLenovoideapadY700-17ISK:rvnLENOVO:rnAllsparks7A:rvrNODPK:cvnLENOVO:ct10:cvrLenovoideapadY700-17ISK:
> dmi.product.name: 80Q0
> dmi.product.version: Lenovo ideapad Y700-17ISK
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1553685/+subscriptions
>

--
Thanks,
*Manikandan Ramakrishnan*

Thomas Parys (thomas-parys) wrote :

> speaker-test -c4 -t wav -D hw:0

My Ubuntu does only see 2 channels: Front Left and Front Right. Still no luck. Tried the HDA tool, enabling pins. Nothing works. :(

Same here

Sent from my iPhone

On Apr 19, 2016, at 2:44 AM, Thomas Parys <email address hidden> wrote:

>> speaker-test -c4 -t wav -D hw:0
>
> My Ubuntu does only see 2 channels: Front Left and Front Right. Still no
> luck. Tried the HDA tool, enabling pins. Nothing works. :(
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1553685
>
> Title:
> Lenovo Y700-17ISK subwoofer doesn't work
>
> Status in alsa-driver package in Ubuntu:
> Incomplete
>
> Bug description:
> Lenovo Y700-17ISK (Intel Core i7-6700HQ/RAM 16GB/SSD 512GB/Nvidia GTX960M 4GB)
> Operating system: Ubuntu 16.04 (xenial-desktop-amd64.iso 04-Mar-2016, kernel 4.4.0-10-generic, nvidia 361.28)
>
> Problem: Notebook subwoofer doesn't work.
>
> Judging from alsa-info.sh output, there is no pin declared for the bass output by BIOS.
> Please find a zip file attached: 'alsa-info_hdajackretask-unconnected-pins'
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: linux-image-4.4.0-10-generic 4.4.0-10.25
> ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
> Uname: Linux 4.4.0-10-generic x86_64
> ApportVersion: 2.20-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: aljosa 1776 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Sun Mar 6 11:02:21 2016
> HibernationDevice: RESUME=UUID=ac022671-63df-40ae-bffe-66fff3b35125
> InstallationDate: Installed on 2016-03-05 (0 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160304)
> MachineType: LENOVO 80Q0
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-10-generic.efi.signed root=UUID=aa4325c4-4b4c-4372-b8ca-a66c3e5b2aa6 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.4.0-10-generic N/A
> linux-backports-modules-4.4.0-10-generic N/A
> linux-firmware 1.156
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 01/31/2016
> dmi.bios.vendor: LENOVO
> dmi.bios.version: CDCN30WW
> dmi.board.asset.tag: NO Asset Tag
> dmi.board.name: Allsparks 7A
> dmi.board.vendor: LENOVO
> dmi.board.version: NO DPK
> dmi.chassis.asset.tag: NO Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Lenovo ideapad Y700-17ISK
> dmi.modalias: dmi:bvnLENOVO:bvrCDCN30WW:bd01/31/2016:svnLENOVO:pn80Q0:pvrLenovoideapadY700-17ISK:rvnLENOVO:rnAllsparks7A:rvrNODPK:cvnLENOVO:ct10:cvrLenovoideapadY700-17ISK:
> dmi.product.name: 80Q0
> dmi.product.version: Lenovo ideapad Y700-17ISK
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1553685/+subscriptions

Hans-Stefan Suhle (hss) wrote :

I'm also affected by this bug.
Owning a Lenovo Y700-15ISK

Launchpad Janitor (janitor) wrote :

[Expired for alsa-driver (Ubuntu) because there has been no activity for 60 days.]

Changed in alsa-driver (Ubuntu):
status: Incomplete → Expired
h0rn3t (h0rn3t) wrote :

subwoofer doesn't work in ubuntu 16.10. Lenovo Y700-15ISK

Lake (lake6) on 2016-11-15
Changed in alsa-driver (Ubuntu):
status: Expired → Confirmed
Pavel (dpavluha) wrote :

Also subwoofer doesn't work in Ubuntu 16.04 LTS on Lenovo Y700-15ISK. How to solve this problem?

Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
tenaciousd (tenacious--d) wrote :

It is really a big problem and is impossible to solve it without a fixed alsa-driver.
Please someone help us.
I don't want to use Windowz.....

Kirill Shustov (kirill-sustov) wrote :

I have similar problem

emphases (emphases) wrote :

I am also affected by this

I'm on Ubuntu 16.04 with Lenovo Y700-15ISK, same problem. not using any subwoober/bass system which is under laptop touch pad

The problem remains on Ubuntu 16.10 - Lenovo Y700-15ISK

Changed in alsa-driver (Ubuntu):
assignee: nobody → Pham Hong Nhat (pham-tieu-giao)
assignee: Pham Hong Nhat (pham-tieu-giao) → nobody
description: updated
tenaciousd (tenacious--d) wrote :

Guys do you have some news about the problem that we have with the subwoofer? I tried ubuntu, fedora, arch, mint, debian, manjaro but i had the same problem, the subwoofer doesn't work.
I found these links who talk about how enable the subwoofer on the Lenovo 50-70 (the version before the y700).

http://askubuntu.com/questions/824682/how-to-get-the-lenovo-y50-70-subwoofer-to-work-on-ubuntu-16-04-1

Maybe someone can use this information to fix the problem on the lenovo y700.

tenaciousd (tenacious--d) wrote :

Ubuntu 16.4.2 doesn't work

Sledgez (bryan-internalfx) wrote :

Still doesn't work

Andrei Manolache (andreimano) wrote :

Any updates? The fact that I can't make the subwoofer to work properly(at all) is the only reason I can't fully switch to Linux :(

no longer affects: alsa-driver (Fedora)
Zinx (thiago189) wrote :

Any updates? The same is happening here in my laptop. :(

tenaciousd (tenacious--d) wrote :

This post has been opened more than a year ago (2016-03-06) and the subwoofer still doesn't work. Anyone who can help us?

Andrei Manolache (andreimano) wrote :

Such a shame... This bug will probably never get fixed :(

tenaciousd (tenacious--d) wrote :

it doesn't work on ubuntu 17.10

Paweu (huno92) wrote :

I'd gladly help with this issue is any of the developers willing to do this? I can provide alsa info and other stuff. I mean... its a pain it hasn't been solved for almost two years now.

dmitry (veridyan) wrote :

"Codec: Realtek ALC233"

It's ALC3248 really. Alsa identifies it wrong.

aljosa (aljosa-p) wrote :

New sound drivers coming in Linux 4.16 Kernel - but everything remains the same with our Lenovo Y700-17ISK subwoofer problem:
https://www.phoronix.com/scan.php?page=news_item&px=Linux-4.16-Sound-Updates

Subwoofer doesn't work on Lenovo Y720-15IKB / Ubuntu 17.10 either :(

Grzegorz Wróbel (justinque) wrote :

Doesn't work on my Lenovo Y700-15ISK on Ubuntu 17.10. Please help us :(

simonas (simonasrotkinas) wrote :

Still does not work in Lenovo Y700-17ISK (80Q0) :(

Camilo (xtrot-cs) wrote :

Doesn't work on my Lenovo Y700-17ISK

ausiasbcn (ausiasbcn) wrote :

Hi, I have the same problem on my Lenovo Y700,
I tried different solutions but the subwoofer doesn't works.

Please,Please,Please, let me know what a kind of test or information you need to fix the problem.

Thank you.

Andrei Manolache (andreimano) wrote :

I can also provide information needed or test possible solutions.

What's the point of testing or providing information if no one is willing to fix? Stop posting here, it won't change anything.

ausiasbcn (ausiasbcn) wrote :

It's supposed to be a community, everybody tries to help best he can.

Azur (bax20) wrote :

Wow, nobody want's to help us with this...

Offer some bounty then. Probably someone will help if you offer him a few hundred bucks.

Azur (bax20) wrote :

No, thx bro. It should work out of the box, i have back to my "working" windows 7...

Leandro Britez (britinx) wrote :

I'm having the same problem on Ubuntu 18.04.1 and Lenovo Y700-15isk.

Tried to assign unconnected pins 0x17 and 0x1b to LFE with hdajackretask with no success. Power-state on D0 instead of D3 with hda-verb.

Unmuted every node related to those pins, and put high volumes on every channel with alsa/pulseaudio.

I'm out of ideas. I can offer USD100 as bounty if someone can help solve this problem.

Azur (bax20) wrote :

There is no Dolby Audio drivers on linux to our sound cards bro, don't think it will work without drivers...

Mohammad Hassan (mth-1417) wrote :

I have got the same problem too on Lenovo y720. Speakers sound so tinny, no deep bass at all, and the subwoofer does not works at all.
I don't know if it's of any help, but when I install Ubuntu in virtualbox, I suddenly have at least double the amount of audio settings, everything from subwoofer to deep audio, to bass, to high quality audio is working. Alsamixer also got lots of more settings.
In the virtualbox, the audio chip for some reason went from Realtek ALC233 (on native ubuntu), to Analog devices AD1980. The sound card went from just intel HDA on native ubuntu, to Intel 82801AA-ICH.

Follow my post with pics on askubuntu:
https://askubuntu.com/questions/1070640/ubuntu-drivers-in-virtual-machine-different-than-native-ubuntu

Leandro Britez (britinx) wrote :

#84: That's because inside a VM running on Virtualbox/VMWare Player/etc, the sound chip is being emulated. If it is not working on the host machine, it will not work on the guest machine.

Mohammad Hassan (mth-1417) wrote :

I tried every combination in HDAjackretask, tried all pins, all different kind of combinations with the pins. I even wrote down on paper all the possible combinations for my 3 output pins, 0x14, 0x17 and 0x1b, none of them solved this. They all just bring more sound settings up, but none of them do anything at all.

Mohammad Hassan (mth-1417) wrote :

Can someone from the ALSA team give any update on this please? It is confirmed multiple times that the 0x17 pin seems to be the one for the LFE subwoofer, but turning it on in HDAjackRetask does not work. Perhaps you can give us more information? This bug has been here since 2016..

Azur (bax20) wrote :

Seems still everyone have it in the ass...

Viktar (viknik599) on 2019-03-03
Changed in alsa-driver (Ubuntu):
status: Confirmed → Invalid
status: Invalid → Confirmed
Bartosz (huggis) wrote :

Is there any progress in the topic? Maybe we should set a bounty for a fix?

Anyone else wants to pay for a fix? Maybe someone will attend to this that way.

magdiychuk (romio-diver) wrote :

I really hope that the problem will be solved. I use Arch Linux and the same problem. The subwoofer does not work ... :-( It is a pity. I would like to solve the problem.

San cordar (sanordar) wrote :

Same here on OpenSUSE Tumbleweed u,u

El lun., 11 de mar. de 2019, 13:45, magdiychuk <email address hidden>
escribió:

> I really hope that the problem will be solved. I use Arch Linux and the
> same problem. The subwoofer does not work ... :-( It is a pity. I would
> like to solve the problem.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1553685
>
> Title:
> Lenovo Y700-17ISK subwoofer doesn't work
>
> Status in alsa-driver package in Ubuntu:
> Confirmed
>
> Bug description:
> Lenovo Y700-17ISK (Intel Core i7-6700HQ/RAM 16GB/SSD 512GB/Nvidia
> GTX960M 4GB)
> Operating system: Ubuntu 16.04 (xenial-desktop-amd64.iso 04-Mar-2016,
> kernel 4.4.0-10-generic, nvidia 361.28)
>
> Problem: Notebook subwoofer doesn't work.
>
> Judging from alsa-info.sh output, there is no pin declared for the bass
> output by BIOS.
> Please find a zip file attached:
> 'alsa-info_hdajackretask-unconnected-pins'
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: linux-image-4.4.0-10-generic 4.4.0-10.25
> ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
> Uname: Linux 4.4.0-10-generic x86_64
> ApportVersion: 2.20-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: aljosa 1776 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Sun Mar 6 11:02:21 2016
> HibernationDevice: RESUME=UUID=ac022671-63df-40ae-bffe-66fff3b35125
> InstallationDate: Installed on 2016-03-05 (0 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64
> (20160304)
> MachineType: LENOVO 80Q0
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-10-generic.efi.signed
> root=UUID=aa4325c4-4b4c-4372-b8ca-a66c3e5b2aa6 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.4.0-10-generic N/A
> linux-backports-modules-4.4.0-10-generic N/A
> linux-firmware 1.156
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 01/31/2016
> dmi.bios.vendor: LENOVO
> dmi.bios.version: CDCN30WW
> dmi.board.asset.tag: NO Asset Tag
> dmi.board.name: Allsparks 7A
> dmi.board.vendor: LENOVO
> dmi.board.version: NO DPK
> dmi.chassis.asset.tag: NO Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Lenovo ideapad Y700-17ISK
> dmi.modalias:
> dmi:bvnLENOVO:bvrCDCN30WW:bd01/31/2016:svnLENOVO:pn80Q0:pvrLenovoideapadY700-17ISK:rvnLENOVO:rnAllsparks7A:rvrNODPK:cvnLENOVO:ct10:cvrLenovoideapadY700-17ISK:
> dmi.product.name: 80Q0
> dmi.product.version: Lenovo ideapad Y700-17ISK
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1553685/+subscriptions
>

Mohammad Hassan (mth1417u) wrote :

I really want this solved too.

Forget about this, guys. Lenovo has already stopped selling Y700 for years.

Mohammad Hassan (mth1417u) wrote :

This does not only affect Y700. This affects all Lenovo laptops with subwoofers, y50, y700, y720 etc.
Also, Linux supports drivers for hardware that is a lot older, this hardware is only about 2 years old (y720).

ausiasbcn (ausiasbcn) wrote :

They left us behind....
...what a shame....

To post a comment you must log in.